import { ExternalOption, OutputOptions as RollupOutputOptions, RollupOptions } from "rollup";
import { BrowserBuildFormat, ConfigExtra, FilterablePlugins, ModuleBuildFormat, RollupSourcemap } from "./types";
export declare function createConfig(input: string, output: RollupOutputOptions, external: ExternalOption, plugins: FilterablePlugins, extra?: ConfigExtra): RollupOptions;
export declare function createModuleConfig(input: string, format: ModuleBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, external: ExternalOption, plugins: FilterablePlugins): RollupOptions;
export declare function createBrowserConfig(input: string, format: BrowserBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, plugins: FilterablePlugins, name: string, extend: boolean, globals?: Record<string, string> | null, id?: string | null): RollupOptions;
