import { ModuleFormat as RollupModuleFormat, OutputOptions as RollupOutputOptions, Plugin, RollupOptions } from "rollup";
export declare type OutputExtra = Omit<RollupOutputOptions, "file" | "format" | "sourcemap" | "esModule" | "interop">;
export declare type ConfigExtra = Omit<RollupOptions, "input" | "output" | "external" | "plugins">;
export declare type RollupSourcemap = boolean | "inline";
export declare type FilterablePlugins = Array<Plugin | null | undefined | false>;
export declare type ModuleBuildFormat = Extract<RollupModuleFormat, "cjs" | "es">;
export declare type BrowserBuildFormat = Extract<RollupModuleFormat, "iife" | "amd" | "umd">;
export declare type BundlibBuildFormat = ModuleBuildFormat | BrowserBuildFormat;
